"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.endProgress = exports.startProgress = void 0;
const vscode_languageserver_protocol_1 = require("vscode-languageserver-protocol");
const non_secure_1 = require("nanoid/non-secure");
async function startProgress(connection, title, settings) {
    if (!settings.enableProgress) {
        return null;
    }
    const progressToken = (0, non_secure_1.nanoid)();
    await connection.sendRequest("window/workDoneProgress/create", {
        token: progressToken,
    });
    const beginReport = {
        title,
        cancellable: false,
        kind: 'begin'
    };
    connection.sendProgress(vscode_languageserver_protocol_1.WorkDoneProgress.type, progressToken, beginReport);
    return progressToken;
}
exports.startProgress = startProgress;
function endProgress(connection, progressToken) {
    if (!progressToken)
        return;
    const endReport = { kind: 'end' };
    connection.sendProgress(vscode_languageserver_protocol_1.WorkDoneProgress.type, progressToken, endReport);
    return;
}
exports.endProgress = endProgress;
//# sourceMappingURL=progress.js.map